Ubuntu

0cf2:6250 ENE Technology, Inc. card reader not supported

Reported by Chertykov Denis on 2010-03-01
442
This bug affects 90 people
Affects Status Importance Assigned to Milestone
Linux
Fix Released
Undecided
Unassigned
linux (Fedora)
Unknown
Unknown
linux (Ubuntu)
Medium
Andy Whitcroft
Declined for Karmic by Stefan Bader
Nominated for Lucid by suresh saragadam
Nominated for Maverick by wayman

Bug Description

USB BUS DEVICE UNSUPPORTED: 0cf2:6250 ENE Technology, Inc. card reader unsupported

Tested on:
Ubuntu 10.04 (devices listed in lsusb but does not function)
Ubuntu 10.10 (device may not show up in lsusb output)

Computer Models Affected:
Lenovo ThinkPad T61
Gateway: LT2104U
Acer Aspire One: 532, 532h, ao532h, ao533, d260, 901
eMachines: 350-21G16I
Packard Bell: Dot SE

Canonical advertises the Acer Aspire One as having "been awarded the status of Certified on Ubuntu PC (x86)." This could be misunderstood and thought that it applies to all models, not just the one Acer got certification.
http://webapps.ubuntu.com/certification/hardware/200905-2911/#1004-lts

ProblemType: Bug
Architecture: i386
Date: Mon Mar 1 19:52:58 2010
DistroRelease: Ubuntu 10.04
LiveMediaBuild: Ubuntu 10.04 "Lucid Lynx" - Alpha i386 (20100228)
Package: nautilus 1:2.29.91-0ubuntu1
ProcEnviron:
 LANG=ru_RU.UTF-8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.32-14.20-generic
SourcePackage: nautilus
Uname: Linux 2.6.32-14-generic i686

Chertykov Denis (chertykov) wrote :
James P. Carter (jpcarter) wrote :

I changed the package selection to gnome-disk-utility.

affects: ubuntu → gnome-disk-utility (Ubuntu)
Chertykov Denis (chertykov) wrote :

The cardreader is ENE UB6250.
The linux kernel probably lack of support for it.

Part of lsusb:

    Interface Descriptor:
      bLength 9
      bDescriptorType 4
      bInterfaceNumber 0
      bAlternateSetting 0
      bNumEndpoints 2
      bInterfaceClass 255 Vendor Specific Class
      bInterfaceSubClass 6
      bInterfaceProtocol 80
      iInterface 0

"bInterfaceClass 255 Vendor Specific Class"
Must be
"bInterfaceClass 8 Mass Storage".

Ian Santopietro (isantop) wrote :

Also confirmed on System76 Starling 1 Netbook.

Ian Santopietro (isantop) wrote :

Output of "tail -f /var/log/syslog" on that starling:

May 3 19:56:24 ziwigs NetworkManager: <debug> [1272930984.047456] periodic_update(): Roamed from BSSID 00:1E:2A:54E:AC (backyard) to 00:1A:70:32:C8:A2 (backyard)
May 3 19:56:24 ziwigs NetworkManager: <info> Policy set 'Auto backyard' (wlan1) as default for routing and DNS.
May 3 19:56:24 ziwigs NetworkManager: <info> Activation (wlan1) successful, device activated.
May 3 19:56:24 ziwigs NetworkManager: <info> Activation (wlan1) Stage 5 of 5 (IP Configure Commit) complete.
May 3 19:56:25 ziwigs nss_wins[1496]: adjust time server 91.189.94.4 offset -0.470077 sec
May 3 19:56:30 ziwigs kernel: [ 338.165047] wlan1: no IPv6 routers present
May 3 19:56:38 ziwigs kernel: [ 346.108331] rtl8187B: RTL8187 + 8225 Initial Gain State 3: -78 dBm
May 3 19:56:58 ziwigs kernel: [ 366.104368] rtl8187B: RTL8187 + 8225 Initial Gain State 2: -78 dBm
May 3 19:57:20 ziwigs AptDaemon: INFO: Quiting due to inactivity
May 3 19:57:20 ziwigs AptDaemon: INFO: Shutdown was requested

DougR (doug-parrot-farm) wrote :

Verified that the card reader does not work on Acer Aspire One 532h running UNR Lucid 10.04.

roberts@bosco:~$ uname -a
Linux bosco 2.6.32-22-generic-pae #36-Ubuntu SMP Thu Jun 3 23:14:23 UTC 2010 i686 GNU/Linux
roberts@bosco:~$ lsusb
Bus 005 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 001 Device 005: ID 0cf2:6250 ENE Technology, Inc.
Bus 001 Device 002: ID 064e:a102 Suyin Corp.
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
roberts@bosco:~$ lspci
00:00.0 Host bridge: Intel Corporation N10 Family DMI Bridge
00:02.0 VGA compatible controller: Intel Corporation N10 Family Integrated Graphics Controller
00:02.1 Display controller: Intel Corporation N10 Family Integrated Graphics Controller
00:1b.0 Audio device: Intel Corporation N10/ICH 7 Family High Definition Audio Controller (rev 02)
00:1c.0 PCI bridge: Intel Corporation N10/ICH 7 Family PCI Express Port 1 (rev 02)
00:1c.1 PCI bridge: Intel Corporation N10/ICH 7 Family PCI Express Port 2 (rev 02)
00:1d.0 USB Controller: Intel Corporation N10/ICH7 Family USB UHCI Controller #1 (rev 02)
00:1d.1 USB Controller: Intel Corporation N10/ICH 7 Family USB UHCI Controller #2 (rev 02)
00:1d.2 USB Controller: Intel Corporation N10/ICH 7 Family USB UHCI Controller #3 (rev 02)
00:1d.3 USB Controller: Intel Corporation N10/ICH 7 Family USB UHCI Controller #4 (rev 02)
00:1d.7 USB Controller: Intel Corporation N10/ICH 7 Family USB2 EHCI Controller (rev 02)
00:1e.0 PCI bridge: Intel Corporation 82801 Mobile PCI Bridge (rev e2)
00:1f.0 ISA bridge: Intel Corporation NM10 Family LPC Controller (rev 02)
00:1f.2 SATA controller: Intel Corporation N10/ICH7 Family SATA AHCI Controller (rev 02)
00:1f.3 SMBus: Intel Corporation N10/ICH 7 Family SMBus Controller (rev 02)
01:00.0 Ethernet controller: Atheros Communications Atheros AR8132 / L1c Gigabit Ethernet Adapter (rev c0)
02:00.0 Network controller: Atheros Communications Inc. AR9285 Wireless Network Adapter (PCI-Express) (rev 01)

Also confirmed the same issue on an Acer Aspire One - ZG5 netbook.

Hi All i installed Ubuntu 9.10 in acer ASPIRE ONE 532h-2cb that is 10.1" LED mini laptop with 1GB RAM and WiFi integrated webcam

HERE ALL IS WELL

I think there is no support for the built in card reader
I checked with Transcend microsd Adapter

lsusb
Bus 001 Device 009: ID 0cf2:6250 ENE Technology, Inc.

wolfen69 (wolfen69) wrote :

I have the same problem with my aspire one 532h-2588. No card reader.

Martin Pihl (pihl) wrote :

Confirmed on MSI Wind U135 as well

wayman (kotpes) wrote :

Confirmed. Waiting for a solution

summary: - SD card not detected on ACER Aspire One 532h-2Ds
+ SD card not detected on ACER Aspire One 532h
wayman (kotpes) on 2010-09-03
Changed in gnome-disk-utility (Ubuntu):
status: New → Confirmed
description: updated

I have the same problem with my Packard bell DOT_S2

leibnix (torgausen) wrote :

I have a similar but not identical problem on my eee pc 901. Usually the card reader works, but some times it doesn't. Rebooting typically helps.

Changed in gnome-disk-utility (Ubuntu):
assignee: nobody → Alexandre Martins (alexscmar)
Omer Akram (om26er) on 2010-10-09
Changed in gnome-disk-utility (Ubuntu):
assignee: Alexandre Martins (alexscmar) → nobody
Walter Daniel (wdanieloffroad) wrote :

Just wondering if any coder's are going to fix this been going on for quite some time.

wayman (kotpes) wrote :

Was going to ask same. Acer Aspare One 532h its quite recent netbook, and, on my opinion, should be fully supported by, at least, Maverick 10.10

we should also try to send a few messages to our OEM in this case acer to
better support their devices on linux.

On Sat, Oct 9, 2010 at 11:52 PM, wayman <email address hidden> wrote:

> Was going to ask same. Acer Aspare One 532h its quite recent netbook,
> and, on my opinion, should be fully supported by, at least, Maverick
> 10.10
>
> --
> SD card not detected on ACER Aspire One 532h
> https://bugs.launchpad.net/bugs/530277
> You received this bug notification because you are a direct subscriber
> of a duplicate bug (542022).
>
> Status in “gnome-disk-utility” package in Ubuntu: Confirmed
>
> Bug description:
> Ubuntu 10.04 LTS - the Lucid Lynx
> Ubuntu 10.10 Maverick beta
>
> ACER Aspire One 532h have an internal SD/MMC card reader.
> It is an USB device ENE Technology.
>
> Expect:
> While I insert the SD card to card reader slot I expect to see new device
> in Places->Computer
>
> Happened:
> Nothing
>
> ProblemType: Bug
> Architecture: i386
> Date: Mon Mar 1 19:52:58 2010
> DistroRelease: Ubuntu 10.04
> LiveMediaBuild: Ubuntu 10.04 "Lucid Lynx" - Alpha i386 (20100228)
> Package: nautilus 1:2.29.91-0ubuntu1
> ProcEnviron:
> LANG=ru_RU.UTF-8
> SHELL=/bin/bash
> ProcVersionSignature: Ubuntu 2.6.32-14.20-generic
> SourcePackage: nautilus
> Uname: Linux 2.6.32-14-generic i686
>
>
>
> To unsubscribe from this bug, go to:
>
> https://bugs.launchpad.net/ubuntu/+source/gnome-disk-utility/+bug/530277/+subscribe
>

  In my case, the embeded microphone don't work too. I'm now with Ubuntu
10.10 Acer NetBook 532h-2Dr.

-------- Mensagem Original --------
Assunto: Re: [Bug 530277] Re: SD card not detected on ACER Aspire One 532h
Data: Sat, 09 Oct 2010 20:10:36 -0000
De: Omer Akram <email address hidden>
Responder-Para: Bug 530277 <email address hidden>
Para: <email address hidden>

we should also try to send a few messages to our OEM in this case acer to
better support their devices on linux.

On Sat, Oct 9, 2010 at 11:52 PM, wayman<email address hidden> wrote:

> Was going to ask same. Acer Aspare One 532h its quite recent netbook,
> and, on my opinion, should be fully supported by, at least, Maverick
> 10.10
>
> --
> SD card not detected on ACER Aspire One 532h
> https://bugs.launchpad.net/bugs/530277
> You received this bug notification because you are a direct subscriber
> of a duplicate bug (542022).
>
> Status in “gnome-disk-utility” package in Ubuntu: Confirmed
>
> Bug description:
> Ubuntu 10.04 LTS - the Lucid Lynx
> Ubuntu 10.10 Maverick beta
>
> ACER Aspire One 532h have an internal SD/MMC card reader.
> It is an USB device ENE Technology.
>
> Expect:
> While I insert the SD card to card reader slot I expect to see new device
> in Places->Computer
>
> Happened:
> Nothing
>
> ProblemType: Bug
> Architecture: i386
> Date: Mon Mar 1 19:52:58 2010
> DistroRelease: Ubuntu 10.04
> LiveMediaBuild: Ubuntu 10.04 "Lucid Lynx" - Alpha i386 (20100228)
> Package: nautilus 1:2.29.91-0ubuntu1
> ProcEnviron:
> LANG=ru_RU.UTF-8
> SHELL=/bin/bash
> ProcVersionSignature: Ubuntu 2.6.32-14.20-generic
> SourcePackage: nautilus
> Uname: Linux 2.6.32-14-generic i686
>
>
>
> To unsubscribe from this bug, go to:
>
> https://bugs.launchpad.net/ubuntu/+source/gnome-disk-utility/+bug/530277/+subscribe
>

--
SD card not detected on ACER Aspire One 532h
https://bugs.launchpad.net/bugs/530277
You received this bug notification because you are a direct subscriber
of a duplicate bug (542022).

Status in “gnome-disk-utility” package in Ubuntu: Confirmed

Bug description:
Ubuntu 10.04 LTS - the Lucid Lynx
Ubuntu 10.10 Maverick beta

ACER Aspire One 532h have an internal SD/MMC card reader.
It is an USB device ENE Technology.

Expect:
While I insert the SD card to card reader slot I expect to see new device in Places->Computer

Happened:
Nothing

ProblemType: Bug
Architecture: i386
Date: Mon Mar 1 19:52:58 2010
DistroRelease: Ubuntu 10.04
LiveMediaBuild: Ubuntu 10.04 "Lucid Lynx" - Alpha i386 (20100228)
Package: nautilus 1:2.29.91-0ubuntu1
ProcEnviron:
  LANG=ru_RU.UTF-8
  SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.32-14.20-generic
SourcePackage: nautilus
Uname: Linux 2.6.32-14-generic i686

To unsubscribe from this bug, go to:
https://bugs.launchpad.net/ubuntu/+source/gnome-disk-utility/+bug/530277/+subscribe

Walter/wayman: According to the email thread linked to earlier in this bug, the SD card reader is using a proprietary protocol that has not been previously reverse engineered. It's not using the usual SCSI-over-USB protocol. So the only way that it will be supported is if the OEM (Acer) provides a Linux driver, or someone with enough knowledge of USB storage drivers sits down, reverse engineers the proprietary protocol, and writes a driver for it.

Alexandre: For the microphone you should open a separate bug. The reason it's not working for you is most likely unrelated to the non-functioning SD card reader.

Walter Daniel (wdanieloffroad) wrote :

It is amazing that software engineers in the Ubuntu world as well as the Acer world are so much alike Acer says this is a Ubuntu problem and now someone here says this is an Acer problem it really does not matter where the problem lies it would just be nice to have the problem resolved, so much for wishes...

Dmitry Diskin (diskin) wrote :

Gary, should this bug be reassigned to kernel people? Seems that "gnome-disk-utility" is not the right category.

Omer Akram (om26er) on 2010-10-10
affects: gnome-disk-utility (Ubuntu) → linux (Ubuntu)
Changed in linux (Ubuntu):
importance: Undecided → Medium

Gary Peck: Has anyone actually tried talking to the ENE Technology people and asking them for the protocol specs? If they're willing to give them out, at least we won't have to waste our time reverse engineering their stuff.

It would also be quite smart on our part if a native Mandarin speaker/writer contacted them about this; an extra barrier, the language barrier, is counterproductive in this situation as they may not clearly understand our intent.

Just my $0.02.

I left them a message yesterday via http://www.ene.com.tw/en/crm.asp,
asking if there were any plans to develop Linux driver, and how we
could help. No reply yet.

the microphone should work. See documentation. I solved with a packard bell dot s2, that is more or less the same machine, opening pavucontrol and putting silent the right channel of the "stereo" microphone (that actually is mono!)

giosimar (giuseppe-savo) wrote :

I checked the /sys/bus/usb/devices directory and I found that inserting a memory card (a memory stick, actually), are created two links named 1-5 and 1-5:1.0

giosimar, the problem here is that we currently have no working driver for it; in order to write one, we'll either need the protocol specifications from ENE Technology or we'll have to reverse-engineer it.

  Ok the micro is working. Thanks for your help.
*Alexandre Martins*

Em 13-10-2010 14:31, giosimar escreveu:
> the microphone should work. See documentation. I solved with a packard
> bell dot s2, that is more or less the same machine, opening pavucontrol
> and putting silent the right channel of the "stereo" microphone (that
> actually is mono!)
>

Same problem on Lenovo ThinkPad T61.
No response in any log on sd card insertion in internal slot.
No change in /sys/bus/usb/devices on card insert.

komputes (komputes) on 2010-10-20
summary: - SD card not detected on ACER Aspire One 532h
+ 0cf2:6250 ENE Technology, Inc. card reader not supported
komputes (komputes) wrote :

I will try to have someone from the kernel team have a look at this bug.

Please note that Stefan Bader wrote on 2010-09-28:

So there is nothing that we can do here really. Beside of maybe smacking Acer for using this hw. The problem here is that the USB device reports a vendor specific interface. Or in other words "we don't tell you". There is no information about the protocol or anything. So that is not "add support" but "create support" and thats out of the scope we can do.

Changed in linux (Ubuntu):
status: Triaged → Won't Fix

https://bugs.launchpad.net/ubuntu/+source/linux/+bug/618738/comments/8

description: updated

David Bensimon, technically speaking, we *can* fix it if we get our hands on the manufacturer's specs or if someone actually bothers to reverse engineer the Windows driver.

Tobin Davis (gruemaster) wrote :

Well, "technically speaking" we (as in Ubuntu) shouldn't fix it. A driver should be developed and pushed into mainline, THEN it can be included in Ubuntu kernels, either through backporting or new releases. I'm not saying that someone that works on Ubuntu kernels can't fix it, just the proper route it should take for release.

scorp123 (scorp123) wrote :

PFMJI, but I'd like to add that I too have this problem. The netbook in question is a Packard-Bell Dot SE. The "Packard-Bell" brand is now owned by Acer (found this via Google) and very often Packard-Bell netbooks are practically identical to an Acer Aspire Dxxx model. Just the brand sticker on the case is different. So this Packard-Bell Dot SE netbook also has this card reader device:

Bus 001 Device 004: ID 0cf2:6250 ENE Technology, Inc.

So I can't get this to work with Ubuntu 10.04 LTS. Does anyone know if it works with Maverick (Ubuntu 10.10) or are there any chances that it might be working with Ubuntu 11.04?

Konstantin Katuev (kkatuev) wrote :

The 'linux-next' kernel branch now includes the driver for this device. It's in the drivers/staging and named 'keucr'.
I've tried to compile and install it under Ubuntu 10.10 Netbook edition with different kernel versions (2.6.35, 2.6.36, 2.6.36-next).
It does not work at all for me. Driver loads when i insert SD card, but can't read card properties.
Can somebody try it with 64-bit kernel?

Volodymir Skipa (v-oldestman) wrote :

I have Emachines M350 netbook. It has similar card reader hardware. Netbook had factory pre-installed Linpus Linux Moblin, wich I suppose should fully support that device. But almost immidiatelly after purchase i installed another linux distro, so i don't know exactly.

I have resque disk with that linux. Should I grab some files from it to help the community to develop support for ENE card reader?

description: updated
scorp123 (scorp123) wrote :

I took the liberty and added my netbook model to the list of affected computer models. I left the description unchanged otherwise. I hope this should be OK ...

description: updated
Konstantin Katuev (kkatuev) wrote :

Have tried staging/keucr driver on 64-bit kernel with different card types (SD & MS) - no luck.
CARD_STATUS register is always 0 while it should be 1 or 2 depending on card type.
Tonight will try driver from Linus Moblin (Thanks to Volodymir Skipa for the link to sources).

Konstantin Katuev (kkatuev) wrote :

Good news!
Driver from Linus Moblin works aftter few modifications of system functions names. At least with 2.6.36 32-bit kernel, SD & MS cards.
I'll try to apply patches from/to staging/keucr driver and make some code cleanup later.
First working version is in attachment.
Compile & install instructions: https://wiki.ubuntu.com/KernelCustomBuild

shawn (tent405) on 2010-10-27
description: updated
shawn (tent405) on 2010-10-27
description: updated
shawn (tent405) on 2010-10-27
description: updated
Changed in linux (Ubuntu):
status: Confirmed → Fix Committed
Changed in linux (Ubuntu):
status: Fix Committed → In Progress
status: In Progress → Confirmed
Tobin Davis (gruemaster) on 2010-12-22
Changed in linux (Ubuntu):
milestone: none → ubuntu-11.04
Andy Whitcroft (apw) on 2011-01-16
Changed in linux (Ubuntu):
assignee: nobody → Andy Whitcroft (apw)
status: Confirmed → Fix Released
92 comments hidden view all 172 comments
Nigel Pallett (nigelp) wrote :

I get the following error message when trying to build the module on Ubuntu 10.10 64bit with kernel 2.6.35-27-generic:

------------------------------------------------------------------------------------------------------------------------------------------------------------
dkms build -m keucr -v 0.0.1

Kernel preparation unnecessary for this kernel. Skipping...

Building module:
cleaning build area....
make KERNELRELEASE=2.6.35-27-generic -C /lib/modules/2.6.35-27-generic/build M=/var/lib/dkms/keucr/0.0.1/build....(bad exit status: 2)

Error! Bad return status for module build on kernel: 2.6.35-27-generic (x86_64)
Consult the make.log in the build directory
/var/lib/dkms/keucr/0.0.1/build/ for more information.
0
0
ERROR: binary package for keucr: 0.0.1 not found

------------------------------------------------------------------------------------------------------------------------------------------------------------

The make.log contains the following:

DKMS make.log for keucr-0.0.1 for kernel 2.6.35-27-generic (x86_64)
Thu Feb 17 09:22:17 GMT 2011
make: Entering directory `/usr/src/linux-headers-2.6.35-27-generic'
  LD /var/lib/dkms/keucr/0.0.1/build/built-in.o
  CC [M] /var/lib/dkms/keucr/0.0.1/build/usb.o
/var/lib/dkms/keucr/0.0.1/build/usb.c: In function ‘associate_dev’:
/var/lib/dkms/keucr/0.0.1/build/usb.c:211: error: implicit declaration of function ‘usb_buffer_alloc’
/var/lib/dkms/keucr/0.0.1/build/usb.c:211: warning: assignment makes pointer from integer without a cast
/var/lib/dkms/keucr/0.0.1/build/usb.c:218: warning: assignment makes pointer from integer without a cast
/var/lib/dkms/keucr/0.0.1/build/usb.c: In function ‘dissociate_dev’:
/var/lib/dkms/keucr/0.0.1/build/usb.c:414: error: implicit declaration of function ‘usb_buffer_free’
make[1]: *** [/var/lib/dkms/keucr/0.0.1/build/usb.o] Error 1
make: *** [_module_/var/lib/dkms/keucr/0.0.1/build] Error 2
make: Leaving directory `/usr/src/linux-headers-2.6.35-27-generic'

------------------------------------------------------------------------------------------------------------------------------------------------------------

I have attached a copy of the make.log

As the idea is to create a deb file, maybe someone who managed to create it could make it available to others.
Worse case scenario, it won't work on 10.10 ... which is the current case anyway, right?

Nigel Pallett (nigelp) wrote :

Regarding my earlier post #133, I have solved the problem and successfully built the deb containing the module on my laptop running Ubuntu 10.10 64bit kernel 2.6.35-27-generic.

The solution is to take Konstantin Katuev's advice in post #129 - use the source code from post #44

extract the contents of keucr.tgz after copying it to /usr/src, then rename the extracted directory from "keucr" to keucr-0.0.1

Then continue with the instructions from post #116 (executing step 5 before step 4) and everything should work ok.

After installing the deb package, I inserted an RS/MMC (MMC Mobile) card in the card slot and Ubuntu instantly recognised, mounted the card and opened a window containing the files on the card. Happy days !!:)

I've attached the deb file in case anyone wants to try it.

Got you :-)

Attached is the version I did for Ubuntu 10.10 32bit kernel 2.6.35-27-generic...

I need to do some testing but looks like it actually works!!!!

THANK YOU SOOOOOO MUCH GUYS.

Hello guys. It works for me.

Here's the summary of what I did, thanx to everybody, and particularly
Konstantin and Vladimir :

1 : download the driver kindly provided by Konstantin Katuev HERE
<https://bugs.launchpad.net/ubuntu/+bug/530277/+attachment/1714152/+files/keucr.tgz>
2 : copy the file to /usr/src
3 : untar it
4 : rename the folder to keucr-0.0.1
5 : create the file /usr/src/keucr-0.0.1/dkms.conf, and insert this :
PACKAGE_NAME="keucr"
PACKAGE_VERSION="0.0.1"
CLEAN="rm -f *.*o"

BUILT_MODULE_NAME[0]="keucr"
MAKE[0]="make -C $kernel_source_dir
M=$dkms_tree/$PACKAGE_NAME/$PACKAGE_VERSION/build"
DEST_MODULE_LOCATION[0]="/extra"

AUTOINSTALL="yes"

6 : add the driver to dkms
dkms add -m keucr -v 0.0.1

7 : build the module
dkms build -m keucr -v 0.0.1

8 : install the module
dkms install -m keucr -v 0.0.1

9 : append the module to /etc/modules
echo "keucr" >> /etc/modules

As far as I tested on my Acer emachines em350, there is no need to
insert SDCard before power-on. It works like any USB key.

Alain Danger

Thanks for the summary, Alain.

What happens when a new kernel comes down from the Ubuntu repositories? Redo steps 7 through 9?

@Nicolas Rietsch:
I could post the deb sure, but it would only work for kernel 2.6.32-28.55, because thats the kernel I compiled it on. the driver claims to be somewhat "dynamic" and i'm sure theres a way to make it work on all kernels, but right now this is only a fix until support is officially included in the 11.04 release.

On that note, does anyone know how to make this driver work on more than one kernel? I don't want to rebuild for the RT kernel i run also, because im worried about the packages conflicting.

Even so, I do have quite a bit of time on my hands and I'd be happy to compile one for you, if you post or email me your kernel version.

Alain Danger (alain-danger) wrote :

->Alejandro Moreno.

As far as the driver is registered in DKMS, and knowing what happens with proprietary NVidia at kernel update, I believe that DKMS will take care of compiling new driver upon kernel update. I did not test though.
However, repeating steps 7 to 8 should be enough.

Marco Polo (marco-xxx) wrote :

Vladimir, Alain - excellent work ! Thank you ! The card works just perfectly :-)

AMDenis (wapdenis) wrote :

Alain and Guys,

Works like a charm on MSI Wind U250!
Thank you.

dg (dan-g) wrote :

Confirmed, driver working nicely with Maverick Netbook remix on a MSI Wind 135DX.

Nice work fellas.

This works, and I thank you for that. Unfortunately, it doesn't automount on my Acer Aspire one D255 running Maverick on kernel 2.6.35-27. This is what I get from dmesg upon insert:

[ 1116.083534] SD_SCSI_Read_Capacity
[ 1116.083544] bl_len = 200
[ 1116.083552] bl_num = 1dedfff
[ 1116.083623] sd 8:0:0:0: [sdb] 31383552 512-byte logical blocks: (16.0 GB/14.9
 GiB)
[ 1116.083680] scsi cmd 1A --- SCSIOP_MODE_SENSE
[ 1116.083738] sd 8:0:0:0: [sdb] Write Protect is off
[ 1116.083753] sd 8:0:0:0: [sdb] Mode Sense: 0b 00 00 08
[ 1116.083766] sd 8:0:0:0: [sdb] Assuming drive cache: write through
[ 1116.087838] sd 8:0:0:0: Attached scsi generic sg1 type 0
[ 1116.091725] scsi cmd 1E --- SCSIOP_ALLOW_MEDIUM_REMOVAL
[ 1116.091735] transport --- BuildSenseBuffer
[ 1116.091859] scsi cmd 25 --- SCSIOP_READ_CAPACITY
[ 1116.091865] SD_SCSI_Read_Capacity
[ 1116.091871] bl_len = 200
[ 1116.091876] bl_num = 1dedfff
[ 1116.091939] scsi cmd 1A --- SCSIOP_MODE_SENSE
[ 1116.091974] sd 8:0:0:0: [sdb] Assuming drive cache: write through
[ 1116.092001] sdb:SD_RW_PATTERN
[ 1116.100533] sdb1

It's there, but not "there" in the GNOME sense. Does this work for others?

Alain Danger (alain-danger) wrote :

You may try the old method.
As a sudoer
1 : mkdir /media/sdcard
2 : mount -t vfat /dev/sdb1 /media/sdcard
And before removal
umount -f /dev/sdb1

Le 22/02/2011 07:28, Andrew Muro a écrit :
> This works, and I thank you for that. Unfortunately, it doesn't
> automount on my Acer Aspire one D255 running Maverick on kernel
> 2.6.35-27. This is what I get from dmesg upon insert:
>
> [ 1116.083534] SD_SCSI_Read_Capacity
> [ 1116.083544] bl_len = 200
> [ 1116.083552] bl_num = 1dedfff
> [ 1116.083623] sd 8:0:0:0: [sdb] 31383552 512-byte logical blocks: (16.0 GB/14.9
> GiB)
> [ 1116.083680] scsi cmd 1A --- SCSIOP_MODE_SENSE
> [ 1116.083738] sd 8:0:0:0: [sdb] Write Protect is off
> [ 1116.083753] sd 8:0:0:0: [sdb] Mode Sense: 0b 00 00 08
> [ 1116.083766] sd 8:0:0:0: [sdb] Assuming drive cache: write through
> [ 1116.087838] sd 8:0:0:0: Attached scsi generic sg1 type 0
> [ 1116.091725] scsi cmd 1E --- SCSIOP_ALLOW_MEDIUM_REMOVAL
> [ 1116.091735] transport --- BuildSenseBuffer
> [ 1116.091859] scsi cmd 25 --- SCSIOP_READ_CAPACITY
> [ 1116.091865] SD_SCSI_Read_Capacity
> [ 1116.091871] bl_len = 200
> [ 1116.091876] bl_num = 1dedfff
> [ 1116.091939] scsi cmd 1A --- SCSIOP_MODE_SENSE
> [ 1116.091974] sd 8:0:0:0: [sdb] Assuming drive cache: write through
> [ 1116.092001] sdb:SD_RW_PATTERN
> [ 1116.100533] sdb1
>
> It's there, but not "there" in the GNOME sense. Does this work for
> others?
>

Stefan Bader (smb) wrote :

While looking into the options to backport this driver into Maverick and Lucid, it was found that the current driver is not as reliable as it would be wanted (see bug #723066). For this reason I would defer any backport efforts until that code is stable enough.

Is there a solution for Ubuntu version 10.04 ?

On Tue, Feb 22, 2011 at 5:37 AM, Stefan Bader <email address hidden>wrote:

> While looking into the options to backport this driver into Maverick and
> Lucid, it was found that the current driver is not as reliable as it
> would be wanted (see bug #723066). For this reason I would defer any
> backport efforts until that code is stable enough.
>
> --
> You received this bug notification because you are a direct subscriber
> of the bug.
> https://bugs.launchpad.net/bugs/530277
>
> Title:
> 0cf2:6250 ENE Technology, Inc. card reader not supported
>
> Status in The Linux Kernel:
> New
> Status in “linux” package in Ubuntu:
> Fix Released
> Status in “linux” package in Fedora:
> Unknown
>
> Bug description:
> USB BUS DEVICE UNSUPPORTED: 0cf2:6250 ENE Technology, Inc. card reader
> unsupported
>
> Tested on:
> Ubuntu 10.04 (devices listed in lsusb but does not function)
> Ubuntu 10.10 (device may not show up in lsusb output)
>
> Computer Models Affected:
> Lenovo ThinkPad T61
> Gateway: LT2104U
> Acer Aspire One: 532, 532h, ao532h, ao533, d260, 901
> eMachines: 350-21G16I
> Packard Bell: Dot SE
>
> Canonical advertises the Acer Aspire One as having "been awarded the
> status of Certified on Ubuntu PC (x86)." This could be misunderstood and
> thought that it applies to all models, not just the one Acer got
> certification.
> http://webapps.ubuntu.com/certification/hardware/200905-2911/#1004-lts
>
> ProblemType: Bug
> Architecture: i386
> Date: Mon Mar 1 19:52:58 2010
> DistroRelease: Ubuntu 10.04
> LiveMediaBuild: Ubuntu 10.04 "Lucid Lynx" - Alpha i386 (20100228)
> Package: nautilus 1:2.29.91-0ubuntu1
> ProcEnviron:
> LANG=ru_RU.UTF-8
> SHELL=/bin/bash
> ProcVersionSignature: Ubuntu 2.6.32-14.20-generic
> SourcePackage: nautilus
> Uname: Linux 2.6.32-14-generic i686
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/linux/+bug/530277/+subscribe
>

--
Rick Giorgio

joselaurian (joselaurian) wrote :
Download full text (4.8 KiB)

You can try with keucr driver for 10.04 and 10.10 too. Just try the next
steps:

1. Install build-essential (sudo apt-get install build-essential) on
terminal.

2. Down the keucr driver. The link is here:
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/530277/+attachment/1714152/+files/keucr.tgz
Now, you have too options: install it on terminal or intall it with a
script. To install the keucr on terminal you must to write the next
commands:

3. Now change to the download directory and unpack: "tar zvxf keucr.tgz"

4. Now change to the unpacked folder: "cd keucr"

5. "make -C /usr/src/linux-headers-`uname -r` M=`pwd` modules"
    "sudo make -C /usr/src/linux-headers-`uname -r` M=`pwd` modules_install"
     "sudo depmod -a"

At this time the keucr driver must be installed and working. Just restart
your pc and try it.

The another option is to install the driver with a scrip. The file contains
the last commands. I attachment it. Just write on terminal: "sh install.sh"
and done.

Good luck!!

2011/2/24 rickrack <email address hidden>

> Is there a solution for Ubuntu version 10.04 ?
>
> On Tue, Feb 22, 2011 at 5:37 AM, Stefan Bader
> <email address hidden>wrote:
>
> > While looking into the options to backport this driver into Maverick and
> > Lucid, it was found that the current driver is not as reliable as it
> > would be wanted (see bug #723066). For this reason I would defer any
> > backport efforts until that code is stable enough.
> >
> > --
> > You received this bug notification because you are a direct subscriber
> > of the bug.
> > https://bugs.launchpad.net/bugs/530277
> >
> > Title:
> > 0cf2:6250 ENE Technology, Inc. card reader not supported
> >
> > Status in The Linux Kernel:
> > New
> > Status in “linux” package in Ubuntu:
> > Fix Released
> > Status in “linux” package in Fedora:
> > Unknown
> >
> > Bug description:
> > USB BUS DEVICE UNSUPPORTED: 0cf2:6250 ENE Technology, Inc. card reader
> > unsupported
> >
> > Tested on:
> > Ubuntu 10.04 (devices listed in lsusb but does not function)
> > Ubuntu 10.10 (device may not show up in lsusb output)
> >
> > Computer Models Affected:
> > Lenovo ThinkPad T61
> > Gateway: LT2104U
> > Acer Aspire One: 532, 532h, ao532h, ao533, d260, 901
> > eMachines: 350-21G16I
> > Packard Bell: Dot SE
> >
> > Canonical advertises the Acer Aspire One as having "been awarded the
> > status of Certified on Ubuntu PC (x86)." This could be misunderstood and
> > thought that it applies to all models, not just the one Acer got
> > certification.
> > http://webapps.ubuntu.com/certification/hardware/200905-2911/#1004-lts
> >
> > ProblemType: Bug
> > Architecture: i386
> > Date: Mon Mar 1 19:52:58 2010
> > DistroRelease: Ubuntu 10.04
> > LiveMediaBuild: Ubuntu 10.04 "Lucid Lynx" - Alpha i386 (20100228)
> > Package: nautilus 1:2.29.91-0ubuntu1
> > ProcEnviron:
> > LANG=ru_RU.UTF-8
> > SHELL=/bin/bash
> > ProcVersionSignature: Ubuntu 2.6.32-14.20-generic
> > SourcePackage: nautilus
> > Uname: Linux 2.6.32-14-generic i686
> >
> > To unsubscribe from this bug, go to:
> > https://bugs.launchpad.net/linux/+bug/530277/+subscribe
> >
>
>
> --
> Rick Giorgio
>
> --
> You receiv...

Read more...

Paul Flint (flint) wrote :

Greetings,

I confirm operation and send congratulations to the community, particularly rickrack for a clear bit of tech writing and, of course Vladimir_ !

Here's hoping I got it right with ...

Kindest Regards,

Flint

varun kumar (varunkumar-eie) wrote :

@Paul Flint:

Hi,followed the way which is shown in the discussion,by installing the kecur through terminal and also i tried the procedure of installing the .deb package also.But i am unable to do that,everytime i am getting an error.

Please,for people like me who dont know much about the ubuntu,please give us a detailed way to make the card reader works.I am using ubuntu 10.04 in Acer Aspire one 532h.

Please who's SD Card reader is working,please provide an detailed way with snapshot,so that many AA1 users,like me who are not good in ubuntu,they can also make their SD card's work,and they can proudly say

"When there are no Walls and Fences in this world,who wants Gates and Windows".

Please,provide the screenshot's how to do it,by taking some precious amount of your time.

Thank you,Waiting for the reply.

varun kumar (varunkumar-eie) wrote :

@ Alian Danger:

Can you explain,how create a file in 5th step,i am unable to create a file there..Can you give me the procedure to create a file there,with terminal or without terminal.

> Can you explain,how create a file in 5th step,i am unable to create a
> file there..Can you give me the procedure to create a file there,with
> terminal or without terminal.

What is your error? Are you executing the command as root?

# mkdir /media/sdcard

or as a normal user?

$ sudo mkdir /media/sdcard

HTH

ian

varun kumar (varunkumar-eie) wrote :

@ lan.m

Hi

1) I tried the @ ceaser way,i downloaded the keucr,and kept the install.sh script in the keucr folder and i executed it in the terminal as "sh.install",no errors seen in the terminal,nothing happened.My SD Card Reader is still not working.

2)i also tried the @joselaurian method also,executed it in the terminal,this time i got error in the terminal,it is showing kernel not supported.i am using the kernel 2.6.32-29-generic.and it is showing error every time i check for an update.so i removed the keucr file by using the remove command.

3)i also tried the @Vladimir method,but i am unable to do 4th and 5th step.I struck at steps.

I want to say,i am a newone to ubuntu,i am using ubuntu from one month,i request you to provide me a detail way(it will be very helpfull if any one can take sometime and provide screenshots,how to do).I can follow your steps,if you provide me an detailed way with commands how to do.

OS :Ubuntu 10.04 LTS, Kernel :2.6.32-29. Model: Acer Aspire one 532H (A0532H)

varun kumar (varunkumar-eie) wrote :

i used the command "sh install.sh",not the above used

varun kumar (varunkumar-eie) wrote :

@ ian.

In the @vladimir step,i struck at the third step only,cant copy the file to usr/src.

k4nz4k1g4w4 (k4nz4k1g4w4) wrote :

@ varun

try this:

sudo cp /path/to/file /usr/src/

and put in some serious study time if you're serious about ubuntu/linux

ian

yoann f (yoann-terminajones) wrote :

About solution #149

Ubuntu 10.04 - 64bits
kernel 2.6.32.30-generic

If you have compilation error : "implicit declaration of usb_alloc_coherent" on line 293 in usb.c

You can try to add this after the all the includes of usb.c (line 19) :

#define usb_alloc_coherent(a, b, c, d) usb_buffer_alloc(a, b, c, d)
#define usb_free_coherent(a, b, c, d) usb_buffer_free(a, b, c, d)

It worked like a charm for me. Did not even required to reboot, it worked immediately.

Thanks to all contributors for this driver ! :-D

Visar (raziel-poczta) wrote :

Hi
I installed this driver but i have a problem. Almost everytime, when I put card into reader ubuntu show me the message:
"DBus error org.gtk.Private.RemoteVolumeMonitor.Failed:An operation is already pending"
I can edit files on the card but its strange I think.
Ubuntu 10.10 with 2D Interface from 10.04 on Acer D260.

Changed in linux:
status: New → Fix Released
NigelBennee (nigel-lucidata) wrote :

Thanks to all those who collectively worked on solving this problem. I used the recipe #149 and it worked faultlessly. I have an AAO D255 with 10.10 on it. It came with Win7 which could handle all its peripherals but the switch to Remix 9.x did for Skype, SD reader. I needed Wine to try and make some custom Win code work, which didn't, so I removed Wine again. This also took away metacity. I could still use the machine but finally made the effort today and with the help of the contributors to launchpad have a fully working system now: Title bars on windows, Sound on Skype and the ability to read SD cards. I might still have a problem with the wired ethernet - must check.
Nigel.

Panagiotis (pmavrop) wrote :

Hello,
I'm really new with the ubuntu concept. I installed version 11.04 on Acer Aspire One D255 netbook. I also have problems with my SD card reader. Is the solution #149 right for me ? Should I do something else ?

It was the solution for my aspire one d260
with Ubuntu Netbook Edition 10.10.
Later, I did upgrade to Ubuntu 11.04
and SD card works fine. But I'm not sure
that this last version use driver form
solution #149. I think that people of Ubuntu
Fixes that problem in the 11.04 version.
It is Your machine in the list of computer affected?

good luck

Dr. Guillermo P. Ortiz

Profesor Investigador Titular

Electromagnetismo Aplicado

Dto. Física, Facultad de Ciencias Exactas

Universidad Nacional del Nordeste

Avda Libertad 5500, W3404AAS Corrientes,

Argentina.

(+54) 3783 473931 - ext. 140

<email address hidden>

--- On Mon, 5/23/11, Panagiotis <email address hidden> wrote:

From: Panagiotis <email address hidden>
Subject: [Bug 530277] Re: 0cf2:6250 ENE Technology, Inc. card reader not supported
To: <email address hidden>
Date: Monday, May 23, 2011, 7:31 PM

Hello,
I'm really new with the ubuntu concept. I installed version 11.04 on Acer Aspire One D255 netbook. I also have problems with my SD card reader. Is the solution #149 right for me ? Should I do something else ?

--
You received this bug notification because you are a direct subscriber
of the bug.
https://bugs.launchpad.net/bugs/530277

Title:
  0cf2:6250 ENE Technology, Inc. card reader not supported

Status in The Linux Kernel:
  Fix Released
Status in “linux” package in Ubuntu:
  Fix Released
Status in “linux” package in Fedora:
  Unknown

Bug description:
  USB BUS DEVICE UNSUPPORTED: 0cf2:6250 ENE Technology, Inc. card reader
  unsupported

  Tested on:
  Ubuntu 10.04 (devices listed in lsusb but does not function)
  Ubuntu 10.10 (device may not show up in lsusb output)

  Computer Models Affected:
  Lenovo ThinkPad T61
  Gateway: LT2104U
  Acer Aspire One: 532, 532h, ao532h, ao533, d260, 901
  eMachines: 350-21G16I
  Packard Bell: Dot SE

  Canonical advertises the Acer Aspire One as having "been awarded the status of Certified on Ubuntu PC (x86)." This could be misunderstood and thought that it applies to all models, not just the one Acer got certification.
  http://webapps.ubuntu.com/certification/hardware/200905-2911/#1004-lts

  ProblemType: Bug
  Architecture: i386
  Date: Mon Mar  1 19:52:58 2010
  DistroRelease: Ubuntu 10.04
  LiveMediaBuild: Ubuntu 10.04 "Lucid Lynx" - Alpha i386 (20100228)
  Package: nautilus 1:2.29.91-0ubuntu1
  ProcEnviron:
   LANG=ru_RU.UTF-8
   SHELL=/bin/bash
  ProcVersionSignature: Ubuntu 2.6.32-14.20-generic
  SourcePackage: nautilus
  Uname: Linux 2.6.32-14-generic i686

To unsubscribe from this bug, go to:
https://bugs.launchpad.net/linux/+bug/530277/+subscribe

LinkedIn
------------

Bug,

I'd like to add you to my professional network on LinkedIn.

- Daniel

Daniel Kingsley
Proprietor at Reconnect to Health - Craniosacral Therapy
London, United Kingdom

Confirm that you know Daniel Kingsley
https://www.linkedin.com/e/qcvlq8-gq593826-6/isd/3549068715/WnbNq_h-/

--
(c) 2011, LinkedIn Corporation

bricofoy (bricofoy) wrote :

driver proposed on #149 work fine for me, great ! thank you very much !
(I use Mint 10)

heyplaynow (jaco-dragon) wrote :

Hi everyone,

I had instaled ubuntu Lucyd in ACER A0532h with 32 bits kernel and SD card reader works fine doing the steps of @ Alain Danger but with one variance in the 7º step ^^:

1 : download the driver kindly provided by Konstantin Katuev HERE
<https://bugs.launchpad.net/ubuntu/+bug/530277/+attachment/1714152/+files/keucr.tgz>

2 : copy the file to /usr/src (Remember, you must be super user)

3 : untar it

4 : rename the folder to keucr-0.0.1

5 : create the file /usr/src/keucr-0.0.1/dkms.conf, and insert this :
PACKAGE_NAME="keucr"
PACKAGE_VERSION="0.0.1"
CLEAN="rm -f *.*o"

BUILT_MODULE_NAME[0]="keucr"
MAKE[0]="make -C $kernel_source_dir
M=$dkms_tree/$PACKAGE_NAME/$PACKAGE_VERSION/build"
DEST_MODULE_LOCATION[0]="/extra"

AUTOINSTALL="yes"

6 : add the driver to dkms
dkms add -m keucr -v 0.0.1

7: HERE IS THE VARIANCE THANKS TO @ joann f:

You can try to add this after the all the includes of usb.c (line 19) :

#define usb_alloc_coherent(a, b, c, d) usb_buffer_alloc(a, b, c, d)
#define usb_free_coherent(a, b, c, d) usb_buffer_free(a, b, c, d)

8 : build the module
dkms build -m keucr -v 0.0.1

9 : install the module
dkms install -m keucr -v 0.0.1

10 : append the module to /etc/modules
echo "keucr" >> /etc/modules

Thanks a lot to the developer of the driver and all people that make this posible.

Bye!!!!

heyplaynow (jaco-dragon) wrote :

Hi everyone,

I had instaled ubuntu Lucyd in ACER A0532h with 32 bits kernel and SD card reader works fine doing the steps of @ Alain Danger but with one variance in the 7º step ^^:

1 : download the driver kindly provided by Konstantin Katuev HERE
<https://bugs.launchpad.net/ubuntu/+bug/530277/+attachment/1714152/+files/keucr.tgz>

2 : copy the file to /usr/src (Remember, you must be super user)

3 : untar it

4 : rename the folder to keucr-0.0.1

5 : create the file /usr/src/keucr-0.0.1/dkms.conf, and insert this :
PACKAGE_NAME="keucr"
PACKAGE_VERSION="0.0.1"
CLEAN="rm -f *.*o"

BUILT_MODULE_NAME[0]="keucr"
MAKE[0]="make -C $kernel_source_dir
M=$dkms_tree/$PACKAGE_NAME/$PACKAGE_VERSION/build"
DEST_MODULE_LOCATION[0]="/extra"

AUTOINSTALL="yes"

6 : add the driver to dkms
dkms add -m keucr -v 0.0.1

7: HERE IS THE VARIANCE THANKS TO @ joann f:

You can try to add this after the all the includes of usb.c (line 19) :

#define usb_alloc_coherent(a, b, c, d) usb_buffer_alloc(a, b, c, d)
#define usb_free_coherent(a, b, c, d) usb_buffer_free(a, b, c, d)

8 : build the module
dkms build -m keucr -v 0.0.1

9 : install the module
dkms install -m keucr -v 0.0.1

10 : append the module to /etc/modules
echo "keucr" >> /etc/modules

Thanks a lot to the developer of the driver and all people that make this posible.

Bye!!!!

Waluyo Adi Siswanto (was-wlk) wrote :

I have the same problem in my Acer Aspire One Happy (Intel Atom 550, card reader ENE technology) running Ubuntu 11.10.
It can be fixed by including "acpiphp" module in /etc/modules.
After rebooting, then reading memory card, just simply plug it in in the card reader, and will pop up automatically.
I have documented the detail here:
http://waluyo-adi-siswanto.blogspot.com/2011/12/card-reader-acer-aspire-one-in-ubuntu.html

Hi,
Thank you for your email. I am using 10.10 on an Acer Aspire One D255
and almost every time I allow an update to take place that affects the
kernel I lose the SD reader. However the keurcr fix works very well and
I just run a small script -

cd /home/nigel/Downloads/keucr
make -C /usr/src/linux-headers-`uname -r` M=`pwd` modules
sudo make -C /usr/src/linux-headers-`uname -r` M=`pwd` modules_install
sudo depmod -a

and I have my SD reader back until the next upgrade.

The other difference seems to be that on 10.10 I do not have a
sub-directory called modules under /etc . I have modules.d but no
mention of acpiphp. All the aciphp files on my system are to be found
in /lib/modules/......./kernel/drivers/pci/hotplug.

I am quite happy to have to apply a patch like this as it is a small
price for the stability and reliability of Linux compared to the other
MS options.

The last update lost me the link again between the sound drivers and
apps like sound recorder and Skype. I can't remember how I got it back
last time. The system test runs all paths successfully i.e. internal &
external mic, internal speakers & headphones so the hardware is good.
The level meter also works but no mike input gets to the top level app.
Playback is fine. I have reported it but been too busy to chase it just
now.

Thanks again

Nigel.

On Wed, 2011-12-21 at 05:09 +0000, Waluyo Adi Siswanto wrote:
> I have the same problem in my Acer Aspire One Happy (Intel Atom 550, card reader ENE technology) running Ubuntu 11.10.
> It can be fixed by including "acpiphp" module in /etc/modules.
> After rebooting, then reading memory card, just simply plug it in in the card reader, and will pop up automatically.
> I have documented the detail here:
> http://waluyo-adi-siswanto.blogspot.com/2011/12/card-reader-acer-aspire-one-in-ubuntu.html
>

Eric Katz (ericpaulkatz) wrote :

Hello,
I'm having trouble getting the keucr module to compile. Any suggestions? Thanks!

Here is the error log:

DKMS make.log for keucr-0.0.1 for kernel 3.2.0-2-486 (i686)
Thu May 17 12:58:48 PDT 2012
make: Entering directory `/usr/src/linux-headers-3.2.0-2-486'
  LD /var/lib/dkms/keucr/0.0.1/build/built-in.o
  CC [M] /var/lib/dkms/keucr/0.0.1/build/usb.o
/var/lib/dkms/keucr/0.0.1/build/usb.c: In function ‘associate_dev’:
/var/lib/dkms/keucr/0.0.1/build/usb.c:214:2: error: implicit declaration of function ‘usb_buffer_alloc’ [-Werror=implicit-function-declaration]
/var/lib/dkms/keucr/0.0.1/build/usb.c:214:9: warning: assignment makes pointer from integer without a cast [enabled by default]
/var/lib/dkms/keucr/0.0.1/build/usb.c:221:12: warning: assignment makes pointer from integer without a cast [enabled by default]
/var/lib/dkms/keucr/0.0.1/build/usb.c: In function ‘get_transport’:
/var/lib/dkms/keucr/0.0.1/build/usb.c:266:7: error: ‘US_PR_BULK’ undeclared (first use in this function)
/var/lib/dkms/keucr/0.0.1/build/usb.c:266:7: note: each undeclared identifier is reported only once for each function it appears in
/var/lib/dkms/keucr/0.0.1/build/usb.c: In function ‘get_protocol’:
/var/lib/dkms/keucr/0.0.1/build/usb.c:290:7: error: ‘US_SC_SCSI’ undeclared (first use in this function)
/var/lib/dkms/keucr/0.0.1/build/usb.c: In function ‘get_pipes’:
/var/lib/dkms/keucr/0.0.1/build/usb.c:341:44: error: ‘US_PR_CBI’ undeclared (first use in this function)
/var/lib/dkms/keucr/0.0.1/build/usb.c: In function ‘dissociate_dev’:
/var/lib/dkms/keucr/0.0.1/build/usb.c:417:3: error: implicit declaration of function ‘usb_buffer_free’ [-Werror=implicit-function-declaration]
/var/lib/dkms/keucr/0.0.1/build/usb.c: In function ‘usb_stor_scan_thread’:
/var/lib/dkms/keucr/0.0.1/build/usb.c:489:23: error: ‘US_PR_BULK’ undeclared (first use in this function)
cc1: some warnings being treated as errors

make[3]: *** [/var/lib/dkms/keucr/0.0.1/build/usb.o] Error 1
make[2]: *** [_module_/var/lib/dkms/keucr/0.0.1/build] Error 2
make[1]: *** [sub-make] Error 2
make: *** [all] Error 2
make: Leaving directory `/usr/src/linux-headers-3.2.0-2-486'

druucifer (druucifer) wrote :

I have an Acer NAV50 532h netbook running Ubuntu 12.10, which previously did not recognize my card reader. After following the instructions in #149 my card reader is working perfectly. Here is my output of lsusb now that the card reader is working:

Bus 001 Device 003: ID 04f2:b19d Chicony Electronics Co., Ltd
Bus 001 Device 004: ID 0cf2:6250 ENE Technology, Inc. SD card reader (UB6250)
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 005 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub

I did get a few errors when I ran "make -C /usr/src/linux-headers-`uname -r` M=`pwd` modules" but it doesn't seem to have affected anything. Props to joselaurian, this problem had been bugging the crap out of me!

Nyquist (nyquist-) wrote :

Hello!

I'm facing the same compiling problems as #169 !

I'm running Xubuntu 12.04 on emachines e350 and the keucr module won't compile.
In fact there seems to be some #defines missing, more precisely

#define US_PR_BULK 0x50
#define US_SC_SCSI 0x06
#define US_PR_CBI 0x00
#define US_SC_CYP_ATACB 0xf1
#define US_PR_CB 0x01
#define US_SC_UFI 0x04
#define US_PR_DPCM_USB 0xf0
#define US_SC_RBC 0x01

In previous kernels they were located in usb_usual.h but now there's no trace of them.
In any case, I bet that adding simply the defines won't be a proper solution (in fact it doesn't seem to work) and the drives should somehow be rewritten in some parts..

What I can say is that I had the same problem when I was running Ubuntu Maverick 10.10 but at that time I solved it by upgrading the kernel to 2.38 without installing any extra module ..

I hope this problem will be solved soon!
Thanks and best regards!

Hi,
Sorry I have no new info. I tend to stay with
stable systems and my notebook is still on Ubuntu
10.10. Now that they have stopped updating the
kernel I don't even have to rerun the keucr stuff
anymore. I use the algorithm "if it ain't bust don't try and fix it"
Best of luck.
Nigel.

At 19:26 27/1/13, you wrote:
>Hello!
>
>I'm facing the same compiling problems as #169 !
>
>I'm running Xubuntu 12.04 on emachines e350 and
>the keucr module won't compile.
>In fact there seems to be some #defines missing, more precisely
>
>#define US_PR_BULK 0x50
>#define US_SC_SCSI 0x06
>#define US_PR_CBI 0x00
>#define US_SC_CYP_ATACB 0xf1
>#define US_PR_CB 0x01
>#define US_SC_UFI 0x04
>#define US_PR_DPCM_USB 0xf0
>#define US_SC_RBC 0x01
>
>In previous kernels they were located in
>usb_usual.h but now there's no trace of them.
>In any case, I bet that adding simply the
>defines won't be a proper solution (in fact it
>doesn't seem to work) and the drives should
>somehow be rewritten in some parts..
>
>What I can say is that I had the same problem when I was running Ubuntu
>Maverick 10.10 but at that time I solved it by upgrading the kernel to
>2.38 without installing any extra module ..
>
>I hope this problem will be solved soon!
>Thanks and best regards!
>
>--
>You received this bug notification because you are subscribed to the bug
>report.
>https://bugs.launchpad.net/bugs/530277
>
>Title:
> 0cf2:6250 ENE Technology, Inc. card reader not supported
>
>Status in The Linux Kernel:
> Fix Released
>Status in “linux” package in Ubuntu:
> Fix Released
>Status in “linux” package in Fedora:
> Unknown
>
>Bug description:
> USB BUS DEVICE UNSUPPORTED: 0cf2:6250 ENE Technology, Inc. card reader
> unsupported
>
> Tested on:
> Ubuntu 10.04 (devices listed in lsusb but does not function)
> Ubuntu 10.10 (device may not show up in lsusb output)
>
> Computer Models Affected:
> Lenovo ThinkPad T61
> Gateway: LT2104U
> Acer Aspire One: 532, 532h, ao532h, ao533, d260, 901
> eMachines: 350-21G16I
> Packard Bell: Dot SE
>
> Canonical advertises the Acer Aspire One as
> having "been awarded the status of Certified on
> Ubuntu PC (x86)." This could be misunderstood
> and thought that it applies to all models, not
> just the one Acer got certification.
> http://webapps.ubuntu.com/certification/hardware/200905-2911/#1004-lts
>
> ProblemType: Bug
> Architecture: i386
> Date: Mon Mar 1 19:52:58 2010
> DistroRelease: Ubuntu 10.04
> LiveMediaBuild: Ubuntu 10.04 "Lucid Lynx" - Alpha i386 (20100228)
> Package: nautilus 1:2.29.91-0ubuntu1
> ProcEnviron:
> Â LANG=ru_RU.UTF-8
> Â SHELL=/bin/bash
> ProcVersionSignature: Ubuntu 2.6.32-14.20-generic
> SourcePackage: nautilus
> Uname: Linux 2.6.32-14-generic i686
>
>To manage notifications about this bug go to:
>https://bugs.launchpad.net/linux/+bug/530277/+subscriptions

Displaying first 40 and last 40 comments. View all 172 comments or add a comment.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.